config/routes.rb
Rails.application.routes.draw do
  devise_for :users, controllers: { sessions: 'users/sessions' }
  # For details on the DSL available within this file, see https://guides.rubyonrails.org/routing.html
  resource :categories
  resource :ingredients

  root to: "categories#index"
end

app/models/ingredient.rb
class Ingredient < ApplicationRecord
end

app/controllers/ingredients_controller.rb
class IngredientsController < ApplicationController
  before_action :find_ingredient, only: %i[destroy]
  def show
   @ingredients = Ingredient.all  
  end

  def new
    @ingredient = Ingredient.new
  end

  def create
    @ingredient = Ingredient.new ingredient_params
    if @ingredient.save
      redirect_to ingredients_path
    else
      redirect_to ingredients_path
    end
  end

  def destroy
    if @ingredient.destroy 
      redirect_to ingredients_path
    else
      render :show
    end
  end

  private

  def ingredient_params
    params.require(:ingredient).permit(:name)
  end

  def find_ingredient
    @ingredient=Ingredient.find permitted_params["id"]
  end

  def permitted_params
    params.permit(:id)
  end
end

app/helpers/ingredients_helper.rb
module IngredientsHelper
end

app/views/ingredients/_form.html.erb
<%= form_for(@ingredient) do |f| %>

  <div class="form-group">
    <%= f.label :Name %>
    <%= f.text_field :name, value: @ingredient.name %>
  </div>

  <div class="form-group">
    <%= link_to "Cancel", ingredients_path %>
    <%= f.submit action.to_s.upcase %>
  </div>
<% end %>

app/views/ingredients/new.html.erb
<h2>Add Ingredient</h2>
<%= render 'form', action: 'create' %>

app/views/ingredients/show.html.erb
<div class="row">
    <div class="col">
       <div class="btn-group float-right">
          <%= link_to "Add Ingredients", new_ingredients_path, class: 'btn btn-primary' %>
        </div>
      <table class="table table-striped table-hover">
        <tr>
          <th>Name</th>
        </tr>
        <% @ingredients.each do |ingredient| %>
        <tr>
          <td><%= ingredient.name %></td>
          <td>
            <%= link_to "Delete", ingredients_path(ingredient.id), method: :delete, data: {confirm: "Are you sure?"} %>
          </td>
        </tr>
        <% end %>
      </table>
    </div>
  </div>